package com.gic.haoban.manage.service.pojo.bo;

import java.io.Serializable;
import java.util.Date;

/**
 * 企微报错日志(TabQywxErrorLog)实体类
 *
 * @author mozhu
 * @since 2022-04-18 15:28:12
 */
public class TabQywxErrorLogBO implements Serializable {
    private static final long serialVersionUID = -2297821152064066567L;

    private Long id;
    private String wxEnterpriseId;
    private String memberId;
    private String externalUserId;
    private String scenario;
    private String errorContent;
    private String traceId;
    private Integer qywxErrorType;
    private Date createTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getScenario() {
        return scenario;
    }

    public void setScenario(String scenario) {
        this.scenario = scenario;
    }

    public String getErrorContent() {
        return errorContent;
    }

    public void setErrorContent(String errorContent) {
        this.errorContent = errorContent;
    }
    
    public String getMemberId() {
        return memberId;
    }

    public String getExternalUserId() {
        return externalUserId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public void setExternalUserId(String externalUserId) {
        this.externalUserId = externalUserId;
    }

    public String getTraceId() {
        return traceId;
    }

    public void setTraceId(String traceId) {
        this.traceId = traceId;
    }

    public Integer getQywxErrorType() {
        return qywxErrorType;
    }

    public void setQywxErrorType(Integer qywxErrorType) {
        this.qywxErrorType = qywxErrorType;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
